"""
This script runs the application using a development server.
It contains the definition of routes and views for the application.
"""

from flask import Flask;
appVar = Flask(__name__)

# Make the WSGI interface available at the top level so wfastcgi can get it.
wsgi_app = appVar.wsgi_app

#import routes
from routes import *;

#DevServer stup
if __name__ == '__main__':
    import os
    HOST = os.environ.get('SERVER_HOST', 'localhost')
    try:
        PORT = int(os.environ.get('SERVER_PORT', '5555'))
    except ValueError:
        PORT = 5555
    appVar.run(HOST, PORT)
